EmbeddedServletOptions (Tomcat API Documentation)
Keywords: org.apache.jasper.EmbeddedServletOptions class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class EmbeddedServletOptions

    java.lang.Object
      org.apache.jasper.EmbeddedServletOptions

All Implemented Interfaces:
  Options

    public final class EmbeddedServletOptions

extends java.lang.Object
implements Options

A class to hold all init parameters specific to the JSP engine.

Author:
  Anil K. Vijendran, Hans Bergsten, Pierre Delisle

Field Summary
`boolean` | `fork` Should Ant fork its java compiles of JSP pages.

Constructor Summary
`EmbeddedServletOptions(javax.servlet.ServletConfig config, javax.servlet.ServletContext context)` Create an EmbeddedServletOptions object using data available from ServletConfig and ServletContext.

Method Summary
`boolean` | `genStringAsCharArray()` Are Text strings to be generated as char arrays?
`java.util.Map` | `getCache()` The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.
`int` | `getCheckInterval()` Background JSP compile thread check intervall
`boolean` | `getClassDebugInfo()` Should class files be compiled with debug information?
`java.lang.String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`java.lang.String` | `getCompiler()` Compiler to use.
`java.lang.String` | `getCompilerClassName()` Java compiler class to use.
`java.lang.String` | `getCompilerSourceVM()` Compiler source VM, e.g. 1.3, 1.4, or 1.5.
`java.lang.String` | `getCompilerTargetVM()` The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, or 1.5.
`boolean` | `getDevelopment()` Is Jasper being used in development mode?
`boolean` | `getDisplaySourceFragment()` Should we include a source fragment in exception messages, which could be displayed to the developer ?
`boolean` | `getErrorOnUseBeanInvalidClassAttribute()` Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.
`boolean` | `getFork()` boolean flag to tell Ant whether to fork JSP page compilations.
`java.lang.String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`java.lang.String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`JspConfig` | `getJspConfig()` Obtain JSP configuration informantion specified in web.xml.
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`int` | `getModificationTestInterval()` Modification test interval.
`java.lang.String` | `getProperty(java.lang.String name)`
`java.io.File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Deprecated.
`TagPluginManager` | `getTagPluginManager()` Obtain a Tag Plugin Manager
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
`boolean` | `getTrimSpaces()` Should white spaces between directives or actions be trimmed?
`boolean` | `isCaching()` Is caching enabled (used for precompilation).
`boolean` | `isPoolingEnabled()` Returns true if tag handler pooling is enabled, false otherwise.
`boolean` | `isSmapDumped()` Should SMAP info for JSR45 debugging be dumped to a file?
`boolean` | `isSmapSuppressed()` Is the generation of SMAP info for JSR45 debuggin suppressed?
`boolean` | `isXpoweredBy()` Is generation of X-Powered-By response header enabled/disabled?
`void` | `setErrorOnUseBeanInvalidClassAttribute(boolean b)`
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setTldLocationsCache(TldLocationsCache tldC)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fork

    public boolean fork

  Should Ant fork its java compiles of JSP pages.

Constructor Detail

### EmbeddedServletOptions

    public EmbeddedServletOptions(javax.servlet.ServletConfig config,
                                  javax.servlet.ServletContext context)

  Create an EmbeddedServletOptions object using data available from ServletConfig and ServletContext.

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### getKeepGenerated

    public boolean getKeepGenerated()

  Are we keeping generated code around?

  Specified by:
    `getKeepGenerated` in interface `Options`

### getTrimSpaces

    public boolean getTrimSpaces()

  Should white spaces between directives or actions be trimmed?

  Specified by:
    `getTrimSpaces` in interface `Options`

### isPoolingEnabled

    public boolean isPoolingEnabled()

  Description copied from interface: `Options`
  Returns true if tag handler pooling is enabled, false otherwise.

  Specified by:
    `isPoolingEnabled` in interface `Options`

### getMappedFile

    public boolean getMappedFile()

  Are we supporting HTML mapped servlets?

  Specified by:
    `getMappedFile` in interface `Options`

### getSendErrorToClient

    @Deprecated
    public boolean getSendErrorToClient()

  Deprecated.

  Should errors be sent to client or thrown into stderr?

  Specified by:
    `getSendErrorToClient` in interface `Options`

### getClassDebugInfo

    public boolean getClassDebugInfo()

  Should class files be compiled with debug information?

  Specified by:
    `getClassDebugInfo` in interface `Options`

### getCheckInterval

    public int getCheckInterval()

  Background JSP compile thread check intervall

  Specified by:
    `getCheckInterval` in interface `Options`

### getModificationTestInterval

    public int getModificationTestInterval()

  Modification test interval.

  Specified by:
    `getModificationTestInterval` in interface `Options`

### getDevelopment

    public boolean getDevelopment()

  Is Jasper being used in development mode?

  Specified by:
    `getDevelopment` in interface `Options`

### isSmapSuppressed

    public boolean isSmapSuppressed()

  Is the generation of SMAP info for JSR45 debuggin suppressed?

  Specified by:
    `isSmapSuppressed` in interface `Options`

### isSmapDumped

    public boolean isSmapDumped()

  Should SMAP info for JSR45 debugging be dumped to a file?

  Specified by:
    `isSmapDumped` in interface `Options`

### genStringAsCharArray

    public boolean genStringAsCharArray()

  Are Text strings to be generated as char arrays?

  Specified by:
    `genStringAsCharArray` in interface `Options`

### getIeClassId

    public java.lang.String getIeClassId()

  Class ID for use in the plugin tag when the browser is IE.

  Specified by:
    `getIeClassId` in interface `Options`

### getScratchDir

    public java.io.File getScratchDir()

  What is my scratch dir?

  Specified by:
    `getScratchDir` in interface `Options`

### getClassPath

    public java.lang.String getClassPath()

  What classpath should I use while compiling the servlets generated from JSP files?

  Specified by:
    `getClassPath` in interface `Options`

### isXpoweredBy

    public boolean isXpoweredBy()

  Is generation of X-Powered-By response header enabled/disabled?

  Specified by:
    `isXpoweredBy` in interface `Options`

### getCompiler

    public java.lang.String getCompiler()

  Compiler to use.

  Specified by:
    `getCompiler` in interface `Options`

### getCompilerTargetVM

    public java.lang.String getCompilerTargetVM()

  Description copied from interface: `Options`
  The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, or 1.5.

  Specified by:
    `getCompilerTargetVM` in interface `Options`
  See Also:
    `Options.getCompilerTargetVM()`

### getCompilerSourceVM

    public java.lang.String getCompilerSourceVM()

  Description copied from interface: `Options`
  Compiler source VM, e.g. 1.3, 1.4, or 1.5.

  Specified by:
    `getCompilerSourceVM` in interface `Options`
  See Also:
    `Options.getCompilerSourceVM()`

### getCompilerClassName

    public java.lang.String getCompilerClassName()

  Java compiler class to use.

  Specified by:
    `getCompilerClassName` in interface `Options`

### getErrorOnUseBeanInvalidClassAttribute

    public boolean getErrorOnUseBeanInvalidClassAttribute()

  Description copied from interface: `Options`
  Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.

  Specified by:
    `getErrorOnUseBeanInvalidClassAttribute` in interface `Options`

### setErrorOnUseBeanInvalidClassAttribute

    public void setErrorOnUseBeanInvalidClassAttribute(boolean b)

### getTldLocationsCache

    public TldLocationsCache getTldLocationsCache()

  Description copied from interface: `Options`
  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).

  Specified by:
    `getTldLocationsCache` in interface `Options`
  Returns:
    the instance of the TldLocationsCache for the web-application.

### setTldLocationsCache

    public void setTldLocationsCache(TldLocationsCache tldC)

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  Description copied from interface: `Options`
  Java platform encoding to generate the JSP page servlet.

  Specified by:
    `getJavaEncoding` in interface `Options`

### getFork

    public boolean getFork()

  Description copied from interface: `Options`
  boolean flag to tell Ant whether to fork JSP page compilations.

  Specified by:
    `getFork` in interface `Options`

### getJspConfig

    public JspConfig getJspConfig()

  Description copied from interface: `Options`
  Obtain JSP configuration informantion specified in web.xml.

  Specified by:
    `getJspConfig` in interface `Options`

### getTagPluginManager

    public TagPluginManager getTagPluginManager()

  Description copied from interface: `Options`
  Obtain a Tag Plugin Manager

  Specified by:
    `getTagPluginManager` in interface `Options`

### isCaching

    public boolean isCaching()

  Description copied from interface: `Options`
  Is caching enabled (used for precompilation).

  Specified by:
    `isCaching` in interface `Options`

### getCache

    public java.util.Map getCache()

  Description copied from interface: `Options`
  The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.

  Specified by:
    `getCache` in interface `Options`
  Returns:
    the Map(String uri, TreeNode tld) instance.

### getDisplaySourceFragment

    public boolean getDisplaySourceFragment()

  Should we include a source fragment in exception messages, which could be displayed to the developer ?

  Specified by:
    `getDisplaySourceFragment` in interface `Options`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.